---

- hosts: contentserver
  gather_facts: true
  become: true
  remote_user: ansible

  pre_tasks:
    # - name: d
    #   debug:
    #     msg:
    #       # - "{{ container_registry_ecr }}/content-server:{{ container_tags.content_server }}"
    #       - "{{ container }}"
    #   tags:
    #     - always

  roles:
    - role: bodsch.docker.docker
      tags:
        - coremedia_docker
        - coremedia_container

    - role: bodsch.coremedia.prometheus_config
      tags:
        - coremedia_container
        - coremedia_prometheus_config

    - role: bodsch.docker.container
      vars:
        # filter by ["name", "hostname", "image"]
        container_filter:
          by: "image"
          names:
            - "{{ container_registry.host }}/coremedia/content-server:{{ container_tags.content_server }}"
      tags:
        - coremedia_container
        - coremedia_content_server_container
